=== debian/changelog ===
fio (3.28-1) unstable; urgency=medium

  * Imported new upstream version 3.28.
    Removes raw device support. (Closes: #997201)

 -- Sven Hoexter <hoexter@debian.org>  Thu, 28 Oct 2021 14:39:48 +0200
