## fio 3.30

=== debian/changelog ===
fio (3.30-1) unstable; urgency=medium

  * Imported new upstream version 3.30 (Closes: #1009880).
  * docs: Install README.rst and HOWTO.rst instead of README and HOWTO.
  * control:
    * Add Sphinx as build-dependency in order to build manpage from it.
    * Bumped standards version to 4.6.0.1. No changes needed.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Wed, 20 Apr 2022 12:03:54 +0200
