=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Martin Steigerwald <martin.steigerwald@proact.de>
-Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), libaio-dev [linux-any], zlib1g-dev, librdmacm-dev [linux-any], libibverbs-dev [linux-any], librbd-dev [linux-any], libgtk2.0-dev, libcairo2-dev, libnuma-dev [linux-any], flex, bison, libglusterfs-dev, libpmem-dev [amd64 arm64 ppc64el], libpmemblk-dev [amd64 arm64 ppc64el]
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), libaio-dev [linux-any], zlib1g-dev, librdmacm-dev [linux-any], libibverbs-dev [linux-any], librbd-dev [linux-any], libgtk2.0-dev, libcairo2-dev, libnuma-dev [linux-any], flex, bison, sphinx, python3-sphinx, libglusterfs-dev, libpmem-dev [amd64 arm64 ppc64el], libpmemblk-dev [amd64 arm64 ppc64el]
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/axboe/fio
 Vcs-Git: https://salsa.debian.org/debian/fio.git
