=== debian/changelog ===
fio (3.33-3) unstable; urgency=medium

  [ Sven Hoexter ]
  * control: Remove suggest for python-scipy. It was used in
    the original implementation of fiologparser.py. (LP: #1950003)
    Dropped upstream in commit f4042e41df95da9677220556c891ca6ba5649ec1

  [ Martin Steigerwald ]
  * control: Add Breaks+Replaces for fio version lower than 3.32-2 to
    fix update failures. Thanks to Andreas Beckmann for bug report
    (Closes: #1025371).

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Mon, 05 Dec 2022 11:07:42 +0100

fio (3.33-2) unstable; urgency=medium

  * control: Mark package fio-examples as Multi-Arch: foreign.
  * patches:
    * makefile-hardening: Readd part of the original patch I removed with
      commit d2242de28d9d0d2ea3a64849c9acc014b05b6318. The part for C pre
      processor build flags is still needed.
    * fio2gnuplot-manpage: Fixed in upstream commit
      aed4796b989d3b33f86fb3be6b915e532df2d59d.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Wed, 30 Nov 2022 10:38:05 +0100

fio (3.33-1) unstable; urgency=medium

  * Imported new upstream version 3.33.
  * control:
    * Recommend fio for package fio-examples to make clear what
      to install in order to run an example.
    * Drop versioned constraint on dpkg-dev, since it is not
      necessary anymore since Debian buster.
  * control and rules: Enable NBD support. Thanks to Christian Ehrhardt
    for initial merge request (Closes: #966222).
  * Fix wrong day of week for changelog entry 1.59-1. Thanks to
    Jelmer Vernooĳ.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Mon, 28 Nov 2022 11:47:27 +0100

fio (3.32-2) unstable; urgency=medium

  * control and docs: Put example job files and images into extra package
    to make it possible to only install them where needed.
  * control: Suggest package "fio-examples".
  * fio.docs: Add fiograph python script and configuration.
  * NEWS: Explain that example job files are now in package "fio-examples".
    These are generated by fiograph and visualize what the examples are
    doing. Thanks to Sven Hoexter for improvement of this explanation.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Wed, 23 Nov 2022 14:59:56 +0100
