=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	./configure --disable-native --prefix=/usr --enable-gfio
+	./configure --disable-native --prefix=/usr --enable-gfio --enable-libnbd
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start --no-enable
