## fio 3.35

=== debian/changelog ===
fio (3.35-2) unstable; urgency=medium

  * Restrict building with GlusterFS support to 64 bit architectures
    (amd64, arm64, ppc64el, ppc64, riscv64, mips64el, s390x, ia64, sparc64).
    (Closes: #1041995, also see bug #1039604) 

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Wed, 26 Jul 2023 10:27:36 +0200

fio (3.35-1) unstable; urgency=medium

  * Imported new upstream version 3.35.
  * control: Bumped standards version to 4.6.2. No changes needed.
  * copyright:
    * Removed years from Debian packaging copyright.
    * Updated my mail address in all places.
    * "engines/pmemblk.c" is gone.
    * Added "zbd.c", "zbd.h", "zbd_types.h", "oslib/blkzoned.h" and
      "oslib/linux-blkzoned.c".
    * Added "crc/sha3.c".
    * Added files in directory "engines" that I missed before.
    * Added files in directories "t" and "t/zbd".
    * Added "oslib/strlcat.c".
    * Added "unittests/unittest.c", "unittests/oslib/strcasestr.c", and
      "unittests/oslib/strsep.c".

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Tue, 04 Jul 2023 12:42:05 +0200
