=== debian/changelog ===
fio (3.36-1ubuntu0.1) noble; urgency=medium

  * Fix crash on riscv64 (LP: #2086920)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 07 Nov 2024 17:55:46 +0100

fio (3.36-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:31 +1100

fio (3.36-1build1) noble; urgency=medium

  * No-change rebuild against librdmacm1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:12:37 +0000

fio (3.36-1) unstable; urgency=medium

  * Imported new upstream version 3.36.
  * patches: Removed patch makefile-hardening. Applied upstream.
  * NEWS: Explained the removal of gfio since fio 3.35-3 and mentioned
    an alternative.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Mon, 23 Oct 2023 11:47:12 +0200

fio (3.35-4) unstable; urgency=medium

  * Only build with librbd-dev on 64 bit architectures and as before on
    Linux (Closes: #1053167).

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Wed, 04 Oct 2023 15:29:11 +0200

fio (3.35-3) unstable; urgency=medium

  [ Bastian Germann ]
  * gfio will not be ported to gtk3 or later. So drop this gtk2 dependent
    package. (Closes: #967339)

  [ Martin Steigerwald ]
  * control: Drop libpmemblk from Build-Depends. Thanks to Adam Borowski for
    his merge request.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Tue, 12 Sep 2023 09:46:14 +0200
