## fio 3.37

=== debian/changelog ===
fio (3.37-1) unstable; urgency=medium

  * Imported new upstream version 3.37 (Closes: #1059937).
  * Refreshed patches.
  * control:
    * Add build support for LoongArch64 (Closes: #1061728).
      Thanks to Dandan for providing a patch.
    * Bumped standards version to 4.7.0. No changes needed.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Tue, 09 Apr 2024 14:19:20 +0200
