## fio 3.38

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 		gettime-thread.c helpers.c json.c idletime.c td_error.c \
 		profiles/tiobench.c profiles/act.c io_u_queue.c filelock.c \
 		workqueue.c rate-submit.c optgroup.c helper_thread.c \
-		steadystate.c zone-dist.c zbd.c dedupe.c fdp.c
+		steadystate.c zone-dist.c zbd.c dedupe.c dataplacement.c
 
 ifdef CONFIG_LIBHDFS
   HDFSFLAGS= -I $(JAVA_HOME)/include -I $(JAVA_HOME)/include/linux -I $(FIO_LIBHDFS_INCLUDE)
@@ -107,29 +107,6 @@
   rdma_SRCS = engines/rdma.c
   rdma_LIBS = -libverbs -lrdmacm
   ENGINES += rdma
-endif
-ifdef CONFIG_LIBRPMA_APM
-  librpma_apm_SRCS = engines/librpma_apm.c
-  librpma_fio_SRCS = engines/librpma_fio.c
-  ifdef CONFIG_LIBPMEM2_INSTALLED
-    librpma_apm_LIBS = -lrpma -lpmem2
-  else
-    librpma_apm_LIBS = -lrpma -lpmem
-  endif
-  ENGINES += librpma_apm
-endif
-ifdef CONFIG_LIBRPMA_GPSPM
-  librpma_gpspm_SRCS = engines/librpma_gpspm.c engines/librpma_gpspm_flush.pb-c.c
-  librpma_fio_SRCS = engines/librpma_fio.c
-  ifdef CONFIG_LIBPMEM2_INSTALLED
-    librpma_gpspm_LIBS = -lrpma -lpmem2 -lprotobuf-c
-  else
-    librpma_gpspm_LIBS = -lrpma -lpmem -lprotobuf-c
-  endif
-  ENGINES += librpma_gpspm
-endif
-ifdef librpma_fio_SRCS
-  SOURCE += $(librpma_fio_SRCS)
 endif
 ifdef CONFIG_POSIXAIO
   SOURCE += engines/posixaio.c
@@ -425,3 +402,27 @@
 
 T_OBJS = $(T_SMALLOC_OBJS)
 T_OBJS += $(T_IEEE_OBJS)
+T_OBJS += $(T_ZIPF_OBJS)
+T_OBJS += $(T_AXMAP_OBJS)
+T_OBJS += $(T_LFSR_TEST_OBJS)
+T_OBJS += $(T_GEN_RAND_OBJS)
+T_OBJS += $(T_BTRACE_FIO_OBJS)
+T_OBJS += $(T_DEDUPE_OBJS)
+T_OBJS += $(T_VS_OBJS)
+T_OBJS += $(T_PIPE_ASYNC_OBJS)
+T_OBJS += $(T_MEMLOCK_OBJS)
+T_OBJS += $(T_TT_OBJS)
+T_OBJS += $(T_IOU_RING_OBJS)
+T_OBJS += $(T_FUZZ_OBJS)
+
+ifneq (,$(findstring CYGWIN,$(CONFIG_TARGET_OS)))
+    T_DEDUPE_OBJS += $(WINDOWS_OBJS)
+    T_SMALLOC_OBJS += $(WINDOWS_OBJS)
+    T_LFSR_TEST_OBJS += $(WINDOWS_OBJS)
+endif
+
+T_TEST_PROGS = $(T_SMALLOC_PROGS)
+T_TEST_PROGS += $(T_IEEE_PROGS)
+T_PROGS += $(T_ZIPF_PROGS)
+T_TEST_PROGS += $(T_AXMAP_PROGS)
+T_TEST_PROGS += $(T_LFSR_TEST_PROGS)
