=== debian/changelog ===
fio (3.38-1) unstable; urgency=medium

  * Imported new upstream version 3.38.
  * control: Enabled NFS engine. Thanks to Braiam for the report and the
    patch (Closes: #1084803).
  * copyright: RPMA engine has been removed.

 -- Martin Steigerwald <martin.steigerwald@proact.de>  Mon, 14 Oct 2024 15:32:53 +0200
